Bug 165167 - RHEL4: buffer overflow detected in fuser
RHEL4: buffer overflow detected in fuser
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: psmisc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2005-08-04 16:09 EDT by Ulrich Drepper
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 16:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix a few sprintf problems. (1.01 KB, patch)
2005-08-04 16:09 EDT, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2005-08-04 16:09:57 EDT
Description of problem:
I saw a message about a buffer overflow while my system was shutting down.  I
couldn't collect the message so I had to look at the sources.  There were no
_chk variants of the string functions used so it must have been the sprintf
call.  Low and behold, there are a couple of problems.  In kill_item (the
probably place of the message I saw) the buffer is too small for even a 5 digits
PID.  We nowadays can have 7 digits or more.  I looked through the code and
fixed a few more places which can cause problems.  Patch is attached.

Version-Release number of selected component (if applicable):
psmisc-21.5-4.

How reproducible:
Didn't try

Steps to Reproduce:
1.Don't know.  Shut down system with many of the system processes (I guess it
was NFS/autofs related) having high >= 10000 PIDs.
2.
3.
  
Actual results:
buffer overflow

Expected results:
no buffer overflow

Additional info:
Comment 1 Ulrich Drepper 2005-08-04 16:09:57 EDT
Created attachment 117480 [details]
Patch to fix a few sprintf problems.
Comment 2 Karel Zak 2005-09-08 08:13:00 EDT
Fixed in FC4 and FC5. 
Comment 11 RHEL Product and Program Management 2006-09-05 15:50:26 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 12 RHEL Product and Program Management 2006-09-05 16:03:14 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.